activity/urls.py
from django.urls import path
from . import views

app_name = 'activity'

urlpatterns = [
    path('add-activity/', views.add_activity, name='add-activity'),
    path('my-activity/', views.my_activity, name='my-activity'),
]

story/urls.py
from django.contrib import admin
from django.urls import path, include
from django.views.generic.base import TemplateView

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', TemplateView.as_view(template_name="start.html"), name='start'),
    path('', include('homepage.urls')),
    path('', include('story1.urls')),
    path('', include('jadwal.urls')),
    path('',include('activity.urls')),
    path('',include('story7.urls')),
    path('',include('story8.urls')),
    path('accounts/',include('story9.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
]

activity/models.py
from django.db import models

# Create your models here.
class AddActivity(models.Model):
    activity = models.CharField("Activity", max_length=50, blank=False, null=True)
    
    def __str__(self):
        return self.activity

class AddParticipant(models.Model):
    activity = models.ForeignKey(AddActivity, on_delete = models.CASCADE)
    name = models.CharField("Name", max_length=50, blank=False, null= True)

    def __str__(self):
        return self.name

activity/forms.py
from django import forms
from .models import AddActivity, AddParticipant
class ActivityForm(forms.ModelForm):
    class Meta:
        model = AddActivity
        fields = '__all__'
        widgets = {'activity':forms.TextInput(attrs={'class':'form-control'})}

class ParticipantForm(forms.ModelForm):
    class Meta:
        model = AddParticipant
        fields = '__all__'
        widgets = {
            'activity':forms.Select(attrs={'class':'form-control'}), 
            'name':forms.TextInput(attrs={'class': 'form-control'})}

activity/views.py
from django.shortcuts import render
from django.http import HttpResponse
from .models import AddActivity, AddParticipant
from .forms import ActivityForm, ParticipantForm
# Create your views here.
def add_activity(request):
    activity_data = AddActivity.objects.all()
    form = ActivityForm()
    if request.method == 'POST':
        forminput = ActivityForm(request.POST)
        if forminput.is_valid():
            forminput.save()
            return render(request, 'add_activity.html', {'form':form, 'status': 'success', 'data' : activity_data})
        else:
            return render(request, 'add_activity.html', {'form':form, 'status': 'failed', 'data' : activity_data})
            
    else:
        return render(request, 'add_activity.html', {'form':form, 'data':activity_data})

def my_activity(request):
    form = ParticipantForm()
    activity_data = AddActivity.objects.all()
    participant_data = AddParticipant.objects.all()
    if request.method == 'POST':
        forminput = ParticipantForm(request.POST)
        if forminput.is_valid():
            forminput.save()
            return render(request, 'my_activity.html', {'form':form, 'status': 'success', 'participant_data' : participant_data, 'activity_data': activity_data})
        else:
            participant_data = AddParticipant.objects.all()
            return render(request, 'my_activity.html', {'form':form, 'status': 'failed', 'participant_data' : participant_data, 'activity_data': activity_data})
    else:
        return render(request, 'my_activity.html', {'form':form, 'status': 'failed', 'participant_data' : participant_data, 'activity_data': activity_data})

activity/templates/add_activity.html
{% extends 'index.html' %}
{% load static %}

{% block content %}
<div class="add-schedule" style="margin-top: 150px;">
    <h1 class="font-weight-bold text-center pb-3">Add Activity</h1>
    <div class="d-flex">
        <a href="{% url 'activity:my-activity' %}" class="btn click font-weight-bold mx-auto" role="button" aria-pressed="true" style="background-color: #FFB39B;">My Activity</a>
    </div>

    <form method="POST">
        {% csrf_token %}
        <div class="mr-auto ml-auto mt-5" style="width: 50%;">
            {% for field in form %}
            <div class="form-grodown">
                {{ field.label_tag }}
                {{ field }}
            </div>
            {% endfor %}
            <br>
            <div class="container">
                <input type="submit" value="Add" class= "btn click font-weight-bold" style="background-color: #FFB39B; color: black; float: right;">
            </div>
        </div>
    </form>
    {% if status %}
            {% if status == 'success' %}
            <div class="alert ml-auto mr-auto" role="alert" style="background-color: #FFB39B; width: 50%;">
                <b>Activity added!</b>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% else %}
            <div class="alert ml-auto mr-auto" role="alert" style="background-color: #FFB39B; width: 50%;">
                <b>Wrong input!</b> Please try again.
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% endif %}
    {% endif %}
</div>
{% endblock content %}

activity/templates/my_activity.html
{% extends 'index.html' %}
{% load static %}

{% block content %}
<div class="add-schedule" style="margin-top: 150px;">
    <h1 class="font-weight-bold text-center pb-3">My Activity</h1>
    <div class="d-flex">
        <a href="{% url 'activity:add-activity' %}" class="btn click font-weight-bold mx-auto" role="button" aria-pressed="true" style="background-color: #FFB39B;">Add Activity</a>
    </div>

    {% csrf_token %}
    {% for data1 in activity_data %}
        <div class="card p-4" style="width: 30%;">
          <h3 class="font-weight-bold">{{ data1.activity }}</h3>
          {% for data2 in participant_data %}
          {% if data2.activity == data1 %}
          <p>{{ data2.name }}</p>
          {% endif %}
          {% endfor %}
        </div>
  

  
    {% endfor %}

    <form method="POST">
      {% csrf_token %}
      <div class="mr-auto ml-auto mt-5" style="width: 50%;">
          {% for field in form %}
          <div class="form-grodown">
              {{ field.label_tag }}
              {{ field }}
          </div>
          {% endfor %}
          <br>
          <div class="container">
              <input type="submit" value="Register" class= "btn click font-weight-bold" style="background-color: #FFB39B; float: right;">
          </div>
      </div>
{% endblock content %}